function HoG_model = computeHoGModel(P_HoG,N)

[nro_fts,c]=size(P_HoG);

nro_samples = c / N;

HoG_model = zeros(nro_fts,N);

for i=1:nro_fts
    fts = P_HoG(i,:);
    fts = reshape(fts,N,nro_samples,1)';
    h = median(fts);
    HoG_model(i,:) = h / sum(h);
end