function base_out = getBaseHistogramDistances(base_in,hist_model,N)

[nro_fts,nro_cols]=size(base_in);
nro_samples = nro_cols / N;
base_out = zeros(nro_fts,nro_samples);

for i=1:nro_samples
    idx = 1 + (i-1)*4;
	x = base_in(:,idx:idx+N-1);
	base_out(:,i) = getHistogramDistance(x,hist_model);
end
